Bug 1259405 - (CVE-2015-6938) CVE-2015-6938 ipython: XSS via local folder name
CVE-2015-6938 ipython: XSS via local folder name
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20150902,repor...
: Security
Depends On: 1259406 1259407
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-02 10:15 EDT by Martin Prpič
Modified: 2015-09-25 03:57 EDT (History)
7 users (show)

See Also:
Fixed In Version: ipython 4.0.5, ipython 4.1, ipython 3.2.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2015-09-02 10:15:07 EDT
A flaw was found in IPython's notebook handling:

Local folder name was used in HTML templates without escaping, allowing XSS in said pages by carefully crafting folder name and URL to access it.

Original report:

http://seclists.org/oss-sec/2015/q3/474

Upstream Patches:

3.x: https://github.com/ipython/ipython/commit/3ab41641cf6fce3860c73d5cf4645aa12e1e5892
4.0.x: https://github.com/jupyter/notebook/commit/dd9876381f0ef09873d8c5f6f2063269172331e3
4.x: https://github.com/jupyter/notebook/commit/35f32dd2da804d108a3a3585b69ec3295b2677ed
Comment 1 Martin Prpič 2015-09-02 10:15:39 EDT
Created ipython tracking bugs for this issue:

Affects: fedora-all [bug 1259406]
Affects: epel-all [bug 1259407]
Comment 2 Fedora Update System 2015-09-17 21:31:57 EDT
ipython-2.4.1-8.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2015-09-17 23:50:53 EDT
ipython-2.4.1-8.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2015-09-25 03:57:20 EDT
ipython-3.2.1-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.